# Generated from oeh-client-2.2.9.gem by gem2rpm -*- rpm-spec -*-
%global gem_name oeh-client

Name: rubygem-%{gem_name}
Version: 2.2.9
Release: 1%{?dist}
Summary: Simple class-based client for integration to ONE Engagement Hub
License: MIT
URL: https://rubygems.org/gems/oeh-client
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(rspec-rails) >= 3
# BuildRequires: rubygem(rspec-rails) < 4
# BuildRequires: rubygem(rspec-rails) >= 3.2
BuildArch: noarch

%description
A simple set of classes that allow access to Interactions, Documents, and
Structures from within Thunderhead's ONE Enagement Hub.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Tue Sep 14 2021 mockbuilder - 2.2.9-1
- Initial package
